Skip to main content
POST
/
api
/
v1
/
sender-profiles
/
{profile_id}
/
prompts
Create Named Prompt
curl --request POST \
  --url https://api.example.com/api/v1/sender-profiles/{profile_id}/prompts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "text": "<string>"
}
'
{
  "name": "<string>",
  "text": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://bavlio.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

profile_id
string
required

Body

application/json
name
string
required

Prompt name (will be canonicalized to lowercase)

text
string
required

Prompt body (100-5000 chars)

Response

Successful Response

name
string
required
text
string
required
created_at
string | null
updated_at
string | null